# FIXME: fix the cases when immediate symbol resolution is not enough.
# For the present, fall back to the old symbol resolution rules for ld.
%define _disable_ld_now 1

Summary:	X.org input driver for Linux generic event devices
Name:		x11-driver-input-evdev
Version:	2.10.4
Release:	3
License:	MIT
Group:		System/X11
Url:		http://xorg.freedesktop.org
Source0:	ftp://ftp.x.org/pub/individual/driver/xf86-input-evdev-%{version}.tar.bz2
BuildRequires:	x11-util-macros
BuildRequires:	pkgconfig(dri)
BuildRequires:	pkgconfig(mtdev)
BuildRequires:	pkgconfig(libevdev)
BuildRequires:	pkgconfig(udev) >= 186
BuildRequires:	pkgconfig(xorg-server)
BuildRequires:	pkgconfig(xproto)
Requires:	x11-server-common %(xserver-sdk-abi-requires xinput)
Obsoletes:	x11-driver-input-evtouch < 0.8.8-12

%description
Evdev is an Xorg input driver for Linux's generic event devices.
It therefore supports all input devices that the kernel knows about,
including most mice and keyboards.

%files
%doc COPYING
%{_libdir}/xorg/modules/input/evdev_drv.so
%{_mandir}/man4/evdev.*
%{_datadir}/X11/xorg.conf.d/10-evdev.conf

#----------------------------------------------------------------------------

%package devel
Summary:	Development files for %{name}
Group:		Development/X11

%description devel
Development files for %{name}.

%files devel
%{_includedir}/xorg/evdev-properties.h
%{_libdir}/pkgconfig/xorg-evdev.pc

#----------------------------------------------------------------------------

%prep
%setup -qn xf86-input-evdev-%{version}
%apply_patches

%build
autoreconf --force -v --install
%configure2_5x
%make

%install
%makeinstall_std

%changelog

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.10.4-3
- (22e78ad) MassBuild#1169: Increase release tag

* Thu Oct 06 2016 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 2.10.4-2
- (fba4120) Release up for a rebuild with the new X11 server

* Sun Oct 02 2016 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 2.10.4-1
- (b286d23) Updated to version 2.10.4

* Sun Sep 25 2016 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 2.10.3-1
- (12c2f32) Updated to version 2.10.3

* Wed Dec 09 2015 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 2.10.0-4
- (7a54ee0) MassBuild#890: Increase release tag

* Mon Dec 07 2015 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 2.10.0-3
- (38b36bb) Restore the missing file

* Sun Dec 06 2015 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 2.10.0-2
- (b7515d3) MassBuild#889: Increase release tag

* Mon Nov 02 2015 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 2.10.0-1
- (506a759) Updated to version 2.10.0

* Fri Oct 23 2015 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 2.9.2-1
- (2ba7d06) Updated to version 2.9.2

* Wed Mar 11 2015 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 2.9.1-1
- (3d1f12f) Removed unused file
- (Eugene Shatokhin: 3de69dc) Updated to version 2.9.1
- (Eugene Shatokhin: 3de69dc) Mostly bugfixes as well as transition to libevdev instead of plain
- (Eugene Shatokhin: 3de69dc) ioctls.

* Sun Feb 22 2015 Alexander Lakhin <a.lahin@ntcit-rosa.ru> 2.8.3-4
- (83e2855) MassBuild#656: Increase release tag

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 2.8.3-3
- (88cdb0e) MassBuild#440: Increase release tag

* Thu May 29 2014 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 2.8.3-2
- (8affe68) Disabled immediate symbol resolution for ld (it might have broken Xorg)

* Tue May 06 2014 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 2.8.3-1
- (e739a66) Updated to version 2.8.3
- (e739a66) From the release announcement:
- (e739a66) evdev 2.8.3 is now available. Only two changes, the REL_DIAL fix
- (e739a66) restores proper horizontal scrolling behaviour to a set of Microsoft
- (e739a66) mice.
- (e739a66) Peter Hutterer (3):
- (e739a66) Fix wheel emulation for absolute device (#68415)
- (e739a66) Map REL_DIAL to horizontal scrolling (#73105)
- (e739a66) evdev 2.8.3

* Tue Nov 05 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.8.2-4
- (502d137) LOG Obsolete x11-driver-input-evtouch

* Thu Oct 31 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.8.2-3
- (33a1409) LOG Add pkgconfig(mtdev) to BuildRequires, spec cleanup
- (Alex Burmashev: 5a6eb97) evdev lib and devel look to be not necessary

* Tue Oct 15 2013 akdengi <kazancas@mandriva.ru> 2.8.2-2
- (40524d2) fix providing with different arch
- (akdengi: 9e8ec10) require libevdev1
- (akdengi: 91d602b) add BR and R from libevdev

* Mon Oct 14 2013 akdengi <kazancas@mandriva.ru> 2.8.2-1
- (0225fae) Fix update to 2.8.2

* Thu Aug 29 2013 akdengi <kazancas@mandriva.ru> 2.8.1-1
- (2695af0) fix spec
- (akdengi: dd263d9) update to 2.8.1

* Wed Nov 14 2012 Alexander Kazancev <kazancas@gmail.com> 2.7.3-3
- (8c78ffc) Updated x11-driver-input-evdev.spec

* Wed Oct 31 2012 akdengi <kazancas@mandriva.ru> 2.7.3-2
- (6eb9a88) Add trackpoint rules. Add pkgconfig(dri) to BR. Rebuild witn x-server 13

* Thu Aug 16 2012 Alexander Khryukin <alexander@mezon.ru> 2.7.3-1
- (ac47218) version update 2.7.3

* Wed Jul 25 2012 Rosa <rosa@rosa-build.rosalab.ru> 2.7.1-1
- (3804d32) Automatic import for version 2.7.1
- (Alexander Khryukin: 0b1c73b) synced with cooker

* Sun Apr 29 2012 Andrew Lukoshko <andrew.lukoshko@rosalab.ru> 2.6.0-5
- (64965ef) TrackPoint scrolling support
- (Andrew Lukoshko: 9113587) TrackPoint scrolling support

* Wed Mar 21 2012 Rosa <rosa@rosa-build.rosalab.ru> 2.7.0-1
- (978133e) Automatic import for version 2.7.0

* Wed Feb 01 2012 Rosa <rosa@rosa-build.rosalab.ru> 2.6.0-5
- (e38e6da) Automatic import for version 2.6.0


